#32/64 bit spec
#

Name:		qterminal
Version: 	1.4.0
Release: 	%mkrel 1
License:	GPL
Source0:	%{name}-%{version}.tar.xz
Group:		Graphical desktop/LXQT
Summary:	QT-based multitab terminal emulator.
URL:		http://qterminal.sourceforge.net/
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	qtermwidget-devel >= 1.4.0
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5widgets-devel
#needed for qt5linguist?
BuildRequires:	qt5help-devel
BuildRequires:	libx11-devel
BuildRequires:	desktop-file-utils
BuildRequires:	liblxqt-globalkeys-devel >= 1.4.0
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:	qt5x11extras-devel
BuildRequires:	liblxqt-devel >= 1.4.0
BuildRequires:  lxqt-build-tools >= 0.13.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	qtermwidget

%description
QT-based multitab terminal emulator. Based on QTermWidget
by e_k@users.sourceforge.net Initially this project was
started as an attempt to create relatively light and stable
terminal emulator application like Konsole or gnome-terminal
but without any dependency from such monsters as KDE or Gnome.

%package i10n
Summary:	Internationalization files for %{name}
Group: 		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}


%prep
%setup -q

%build
%cmake_qt5 -DUSE_QT5=true -DUSE_SYSTEM_QXT=false\
	-DPULL_TRANSLATIONS=Yes
%make

%install
%{__rm} -rf %{buildroot}
pushd build
%makeinstall_std
popd

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Terminals;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG CONTRIBUTING.md LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/%{name}/%{name}_bookmarks_example.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%files i10n
%{_datadir}/%{name}/translations/*

%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Sun Nov 06 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Wed Nov 18 2020 daniel <meisssw01 at gmail.com> 0.16.1-1pclos2020
- 0.16.1

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Mon Jan 28 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sun Jul 29 2018 daniel <meisssw01 at gmail.com> 0.4.0-1pclos2018
- update

* Tue Oct 23 2017 daniel <meisssw01 at gmail.com> 0.8.0-1pclos2017
- update

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.7.1-1pclos2017
- update 

* Sun Nov 13 2016 daniel <meisssw01 at gmail.com> 0.7.0-2pclos2016
- add git for translation files and put it in a seperate package

* Sun Sep 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.0-1pclos2016
- 0.7.0
- add BR qt5x11extras-devel and liblxqt-devel

* Sun Nov 15 2015 daniel <meisssw01 at gmail.com> 0.6.0-2pclos2015
- add missing build requires

* Sat Jul 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2015
- 0.6.0

* Wed Jul 09 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2014
- 0.4.0
- use macros instead of pure cmake and make
- remove desktop file and image they are now shipped with the source
- add BR libqxt-devel

* Wed Nov 30 2011 Texstar <texstar at gmail.com. 0.2.0-1pclos2011
- import into pclos
